<?php


	/**
	 * This software is intended for use with Oxwall Free Community Software http://www.oxwall.org/ and is a proprietary licensed product. 
	 * For more information see License.txt in the plugin folder.

	 * ---
	 * Copyright (c) 2015, Ebenezer Obasi
	 * All rights reserved.
	 * info@eobai.com.

	 * Redistribution and use in source and binary forms, with or without modification, are not permitted provided.

	 * This plugin should be bought from the developer. For details contact info@eobasi.com.

	 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
	 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
	 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
	 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
	 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
	 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
	 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
	 */

	$query = "CREATE TABLE IF NOT EXISTS `" . OW_DB_PREFIX . "cconvo_colleges` (
		`id` int(11) NOT NULL AUTO_INCREMENT,
		`name` varchar(255) NOT NULL,
		`pageLink` varchar(255) NOT NULL,
		`address` varchar(255) NOT NULL,
		`website` varchar(255) NOT NULL,
		`admissionEmail` varchar(255) NOT NULL,
		`phone` varchar(255) NOT NULL,
		`majors` longtext NOT NULL,
		`studentDiversity` varchar(255) NOT NULL,
		`athleticDivision` varchar(255) NOT NULL,
		`fullTimeUndergrads` int(11) NOT NULL,
		`partTimeUndergrads` int(11) NOT NULL,
		`maleUndergrads` int(11) NOT NULL,
		`femaleUndergrads` int(11) NOT NULL,
		`applicationFee` int(11) NOT NULL,
		`studentFacultyRatio` double NOT NULL,
		`classSizes` longtext NOT NULL,
		`female_undergrads_1` varchar(255) NOT NULL,
		`male_undergrads_1` varchar(255) NOT NULL,
		`acceptanceRate` varchar(255) NOT NULL,
		`inStateTuition` float NOT NULL,
		`outOfStateTuition` float NOT NULL,
		`roomBoard` varchar(255) NOT NULL,
		`setting` varchar(255) NOT NULL,
		`menSport` longtext NOT NULL,
		`womenSport` longtext NOT NULL,
		`clubSport` longtext NOT NULL,
		`intramurals` longtext NOT NULL,
		`fraternities` longtext NOT NULL,
		`sororities` longtext NOT NULL,
		PRIMARY KEY (`id`)
    ) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

    OW::getDbo()->query($query);
	
	BOL_LanguageService::getInstance()->addPrefix('cconvo', 'Cconvo College Search');
	OW::getLanguage()->importPluginLangs(OW::getPluginManager()->getPlugin('cconvo')->getRootDir() . 'langs.zip', 'cconvo');